package com.lukouguoji.gjj.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gjj.R
import com.lukouguoji.gjj.databinding.ActivityIntImpTallyDetailsBinding
import com.lukouguoji.gjj.viewModel.IntImpTallyDetailsViewModel
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.bean.GjjImportTally
import com.lukouguoji.module_base.common.Constant

/**
 * 国际进港理货报告详情
 */
class IntImpTallyDetailsActivity :
    BaseBindingActivity<ActivityIntImpTallyDetailsBinding, IntImpTallyDetailsViewModel>() {

    override fun layoutId() = R.layout.activity_int_imp_tally_details
    override fun viewModelClass() = IntImpTallyDetailsViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("理货报告详情")
        binding.viewModel = viewModel
        viewModel.initOnCreated(intent)
    }

    companion object {
        @JvmStatic
        fun start(context: Context, tally: GjjImportTally) {
            val starter = Intent(context, IntImpTallyDetailsActivity::class.java)
                .putExtra(Constant.Key.DATA, tally)
            context.startActivity(starter)
        }
    }
}
